Recoll a full-text file indexing and GUI search

If you are looking for a specific 64-bit package and you can't find it in any of the 64-bit repos, please post a request for it here
Post Reply
rych
Samurai
Samurai
Posts: 168
Joined: 04 Jan 2014, 04:27
Distribution: Porteus 4.0 64 LXDE
Location: NZ

Recoll a full-text file indexing and GUI search

Post#1 by rych » 12 Jul 2020, 08:43

Could someone please help me build the reportedly best (?) tool for searching in files: Recoll https://www.lesbonscomptes.com/recoll/index.html. The old version found on USM is old and relies on Qt4. I have (a subset of, through viewtopic.php?t=7799) Qt5 on my Porteus 4.0 x64 OpenBox. (Not sure if sub-version matters here but more precisely I have Qt5.9.5. There could be a run-time problem if the latest recoll packages are build against a later Qt5.12 etc.)

Moreover, it depends on Xapian and who knows what else. If only someone could please build it for me, or teach me how to build it locally?

beny
Full of knowledge
Full of knowledge
Posts: 864
Joined: 02 Jan 2011, 11:33
Location: italy

Recoll a full-text file indexing and GUI search

Post#2 by beny » 12 Jul 2020, 11:08

hi rych
/antiword-0.37-x86_64-1ponce.tgz
/exiftool-11.11-x86_64-1ponce.tgz
recoll-1.22.3-x86_64-1ponce.tgz
/unrtf-0.21.9-x86_64-1ponce.tgz
/untex-1.3-x86_64-2ponce.tgz
/xapian-core-1.4.16-x86_64-1.txz need also guest@porteus:~$ recoll
recoll: error while loading shared libraries: libQtWebKit.so.4: my system is xfce4 based so i need the qt5,and is porteus 5 that is +-near slackware 15 so is difficult for you on porteus 4,but when i solve deps,i try if work.
btw thanks to ponce for the slackbuild-git for current branch.

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 2550
Joined: 20 Mar 2012, 03:42
Distribution: 5.0rc1-64bit all-DE+more
Location: australia
Contact:

Recoll a full-text file indexing and GUI search

Post#3 by ncmprhnsbl » 12 Jul 2020, 11:52

not sure if 5.9.1 would work with 5.9.5, but: qt5-webkit-5.9.1-x86_64-1alien.txz might be worth a try.
qt5 tends to be a bit fussy with it's versioning..
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

beny
Full of knowledge
Full of knowledge
Posts: 864
Joined: 02 Jan 2011, 11:33
Location: italy

Recoll a full-text file indexing and GUI search

Post#4 by beny » 12 Jul 2020, 15:24

hi the package index: recoll,qt4.8.7,gstreamer gst-plugin-base,and i have put also the good one,into the copytoram option i have the warning,
Unable to load library icui18n "Cannot load library icui18n: (icui18n: cannot open shared object file: No such file or directory)" but the gui is here.

rych
Samurai
Samurai
Posts: 168
Joined: 04 Jan 2014, 04:27
Distribution: Porteus 4.0 64 LXDE
Location: NZ

Recoll a full-text file indexing and GUI search

Post#5 by rych » 15 Jul 2020, 09:32

OK, after spending a few hours I think I have assembled necessary libraries to run an older version, recoll_1.23.7-1_amd64 -- one that was still built against the Qt5.9.5 -- my current Qt5 subsystem -- which I'll keep using until Porteus 5.0 is released. That would be the time to upgrade everything I guess. So, for most missing Qt5.9.5 libraries I had to use deb packages from Ubuntu 18.04 LTS (Bionic Beaver) listings on https://pkgs.org, with some exceptions that could not be found there for some reason. After running deb2xzm, I had to extract it to a folder and move libraries from within `lib` subfolder to `lib64`, and update the xzm. Overall, below is the list of modules I had to activate to make it run. It's running okay, indexing my filesystem, I'll update this thread with my further experience -- hopefully it was worth it.

Code: Select all

icu4c-56.1-x86_64-bundle.xzm
libgstapp-1_0-0-1.16.2-157.3.x86_64.xzm
libgstaudio-1_0-0-1.16.2-157.3.x86_64.xzm
libgstpbutils-1_0-0-1.16.2-157.3.x86_64.xzm
libgstreamer-1_0-0-1.16.2-151.3.x86_64.xzm
libgsttag-1_0-0-1.16.2-157.3.x86_64.xzm
libgstvideo-1_0-0-1.16.2-157.3.x86_64.xzm
libqt5positioning5_5.9.5+dfsg-0ubuntu2_amd64.xzm
libqt5qml5_5.9.5-0ubuntu1_amd64.xzm
libqt5quick5_5.9.5-0ubuntu1_amd64.xzm
libqt5sensors5_5.9.5-0ubuntu1_amd64.xzm
libqt5webchannel5_5.9.5-0ubuntu1_amd64.xzm
libxapian-1.4.15-alt1.x86_64.xzm
qt5-webkit-5.9.1-x86_64-1alien.xzm
recoll_1.23.7-1_amd64.xzm

Post Reply